from pipeline.pipeline_base import PipelineBase
from jobs.job_standardize_format import JobStandardizeFormat
from jobs.Job_detect_objects_for_car import JobDetectObjectsForCar

class ImagePipeline(PipelineBase):
    """画像解析用のパイプライン"""
    def __init__(self):
        super().__init__()
        self.logger.info("ImagePipeline initialized")
        # ジョブを追加
        self.add_job(JobStandardizeFormat())
        self.add_job(JobDetectObjectsForCar())
